<?php

include_once 'parser.php';

$data = array('response' => 'success', 'type' => 'html', 'content' => '');

if(!isset($_POST['user']) || empty($_POST['user'])) {
    $data['content'] = "<script>swal('Отказано!', 'Необходимо указать имя пользователя или ссылку на аккаунт!', 'warning');</script>";
} else {
    if(!preg_match('#^@[\w\._]{4,16}$#', $_POST['user']) && !preg_match('#^https?\:\/\/(www\.)?vk\.com\/([\w\._]{4,16})\/?$#', $_POST['user'])) {
        $data['content'] = "<script>swal('Отказано!', 'Имя пользователя или ссылка на аккаунт указаны неверно!', 'warning');</script>";
    } else {
		$user = $_POST['user'];
        if(preg_match('#^https?\:\/\/(www\.)?vk\.com\/([\w\._]{4,16})\/?$#', $_POST['user'], $matches)) {
            $user = $matches[2];
        }
        if($headers = http_query('https://vzlom.io', ['method' => 'HEAD'])) {
			$headers = explode(PHP_EOL, $headers);
			$headers = array_map('trim', $headers);
            foreach($headers as $header) {
                if(stripos($header, 'set-cookie') !== false) {
					$cookie = explode(':', str_ireplace('set-cookie', 'Cookie', $header), 2);
					$params = array(
						'method' => 'POST',
						'cookies' => trim($cookie[1]),
						'headers' => [
							'Content-Type' => 'application/json',
						],
						'data' => json_encode([
                            'search_dan' => $user,
                            'search_typ' => 'vkontakte'
						]),
					);
                    echo http_query('https://vzlom.io/executive/search/go_search.php', $params);
                    exit;
                }
            }
        } else {
            $data['content'] = "<script>swal('Отказано!', 'Сетевая ошибка! Пожалуйста, попробуйте позже.', 'warning');</script>";
        }
        /*
		$stream = stream_context_create([
			'http' => [
				'header' => implode("\r\n", [
					'User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 YaBrowser/23.7.5.734 Yowser/2.5 Safari/537.36',
				])
			]
		]);
		if($html = @file_get_contents('https://vk.com/'.$user, false, $stream)) {
            $html = @mb_convert_encoding($html, 'utf-8', 'windows-1251');
            if(preg_match('#<title>(.+)<\/title>#', $html, $matches)) {
                $matches = explode(' | ', $matches[1]);
                if(isset($matches[0]) && ($matches[0] != 'Информация')) {
                    $name = $matches[0];
                    $photo = 'img/unknown-avatar.png';
                    if(preg_match('#extend\(window\.cur \|\| {}, (.+)\);#isU', $html, $matches)) {
                        $json = @json_decode($matches[1]);
                        if($json !== null && json_last_error() === JSON_ERROR_NONE) {
                            if(isset($json->apiPrefetchCache)) {
                                foreach($json->apiPrefetchCache as $item) {
                                    if(isset($item->method) && $item->method == 'users.get') {
                                        if(isset($item->response)) {
                                            foreach($item->response as $response) {
                                                if(isset($response->photo_base)) {
                                                    $photo = $response->photo_base;
                                                } elseif(isset($response->photo_200)) {
                                                    $photo = $response->photo_200;
                                                } else {
                                                    continue;
                                                }
                                                break 2;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    $data['content'] = "<script>
                        document.getElementById('poiskrezphoto').src = '$photo';
                        document.getElementById('poiskrezname').innerHTML = '$name';
                        document.getElementById('stataranq').innerHTML = 'Аккаунт найден.';
                        document.getElementById('dopinginfo_c_inf_a').style.display = 'block';
                        document.getElementById('dopinginfo_c_inf_b').style.display = 'none';
                        document.getElementById('dopinginfo_c_inf_a').innerHTML = 'ID $user@vk.com';
                        document.getElementById('dopinginfo_c_inf_b').innerHTML = '';
                        urlprof = '$_POST[user]';
                        idaprof = '$user@vk.com';
                        usernameprof = '$_POST[user]';
                        full_nameprof = 'no';
                        first_nameprof = 'no';
                        last_nameprof = 'no';
                        background_imgprof = 'no';
                        bioeprof = 'no';
                        external_urlprof = 'no';
                        photoprof = '$photo';
                        countryprof = 'no';
                        cityprof = 'no';
                        date_of_birthprof = 'no';
                        photosprof = 'no';
                        friendsprof = 'no';
                        postsprof = 'no';
                        likesprof = 'no';
                        followersprof = 'no';
                        followingprof = 'no';
                        verifiedprof = 'no';
                        closedprof = 'no';
                        onlineprof = 'no';
                        proffprof = 'yes';
                        pow_login = 'no';
                        pow_email = 'no';
                        pow_phone = 'fix';
                        pow_pass = 'no';
                        pow_code = 'yes';
                        to_save_login = 'no';
                        to_save_email = 'no';
                        to_save_phone = '$user';
                        to_save_pass = 'no';
                        to_save_code = '".rand(100, 999)."-".rand(100, 999)."';
                        to_gen_piece_a = 'Nan';
                        to_gen_piece_b = 'Nan';
                        tratrh();
                        scrollToElementTop('html', 'scroll_start', '0', 'yes');
                    </script>";
                } else {
                    $data['content'] = "<script>swal('Отказано!', 'Не удалось найти указанный аккаунт!', 'warning');</script>";
                }
			} else {
                $data['content'] = "<script>swal('Отказано!', 'Ошибка проверки аккаунта! Пожалуйста, попробуйте позже.', 'warning');</script>";
			}
		} else {
			$data['content'] = "<script>swal('Отказано!', 'Сетевая ошибка! Пожалуйста, попробуйте позже.', 'warning');</script>";
		}
        */
    }
}

echo json_encode($data);

?>