<?php
/*
=====================================================
 DataLife Engine - by SoftNews Media Group 
-----------------------------------------------------
 http://dle-news.ru/
-----------------------------------------------------
 Copyright (c) 2004-2021 SoftNews Media Group
=====================================================
 This code is protected by copyright
=====================================================
 File: plugins.class.php
-----------------------------------------------------
 Use: DLE Plugins Loader
=====================================================
*/

if( !defined( 'DATALIFEENGINE' ) ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( "Hacking attempt!" );
}

@include_once (ENGINE_DIR . '/data/config.php');

if ( !$config['version_id'] ) {

	if ( file_exists(ROOT_DIR . '/install.php') AND !file_exists(ENGINE_DIR . '/data/config.php') ) {

		header( "Location: ".str_replace(basename($_SERVER['PHP_SELF']),"install.php",$_SERVER['PHP_SELF']) );
		die ( "Datalife Engine not installed. Please run install.php" );

	} else {

		die ( "Datalife Engine not installed. Please run install.php" );
	}

}

if( version_compare(phpversion(), '5.4', '<') ) {
	die ( "Datalife Engine required PHP version 5.4 or greater. You need upgrade PHP version on your server." );
}

@ini_set('pcre.recursion_limit', 10000000 );
@ini_set('pcre.backtrack_limit', 10000000 );
@ini_set('pcre.jit', false);

abstract class DLEPlugins {
	
	public static function Check($source) {
		
		return $source;
		
	}
	
}


if (!function_exists('print2')) {
	function print2($expression, $noexit = false) {
		if ($expression)
			echo '<pre>',print_r($expression, 1),'</pre>';
		else
			echo 'Empty expression';
		
		if (!$noexit)
			exit;
	}
}

if (!function_exists('print3')) {
	function print3($array, $noexit = false) {
		if (empty($_COOKIE['mydebug']))
			return false;
			
		print2($array, $noexit);
	}
}
