<?php
/**
 * http://new-dev.ru/
 * author GoldSoft <newdevexpert@gmail.com>
 * Copyright (c) New-Dev.ru
 */

namespace TraffControl;

defined('DATALIFEENGINE') or exit('Access Denied');

abstract class ObjectAbstraction
{
	public function __get($property) {
		if (empty($this->traffcontrol))
			$this->traffcontrol = TraffControl::instance();
		
		if (isset($this->{$property}) or property_exists($this, $property)) {
			return $this->{$property};
		} elseif ($this->traffcontrol->{$property}) {
			return $this->traffcontrol->{$property};
		}
	}
}