<?php

include_once 'parser.php';

$data = array('response' => 'success', 'type' => 'html', 'content' => '');

if(!isset($_POST['user']) || empty($_POST['user'])) {
    $data['content'] = "<script>swal('Отказано!', 'Необходимо указать имя пользователя или ссылку на аккаунт!', 'warning');</script>";
} else {
    if(!preg_match('#^https?\:\/\/(www\.)?ok\.ru\/(profile\/)?([\w\.\-\_]{5,50})\/?$#', $_POST['user'])) {
        $data['content'] = "<script>swal('Отказано!', 'Ссылка на страницу пользователя указана неверно!', 'warning');</script>";
    } else {
		$user = $_POST['user'];
        if(preg_match('#^https?\:\/\/(www\.)?ok\.ru\/([\w\.\-\_]{5,50})\/?$#', $_POST['user'], $matches)) {
            $user = $matches[2];
			$url = "https://ok.ru/$user";
        } elseif(preg_match('#^https?\:\/\/(www\.)?ok\.ru\/profile\/([\w\.\-\_]{5,50})\/?$#', $_POST['user'], $matches)) {
            $user = $matches[2];
			$url = "https://ok.ru/profile/$user";
        } else {
			$url = "https://ok.ru/$user";
		}
        if($html = http_query($url)) {
			$title = get_from_tags('<title>', '</title>', $html);
			if($title  && (count($title = explode(' | ', $title[0], 2)) == 2)) {
                $name = trim($title[0]);
                $photo = 'img/unknown-avatar.png';
				if($avatar = get_from_tags('<div class="avatar-container(?:.*)">', '</div>', $html)) {
					if($src = get_from_tags('src="', '"', $avatar[0])) {
						$photo = $src[0];
						@mkdir('photos');
						if($image = http_query($photo)) {
							if(@file_put_contents('photos'.DIRECTORY_SEPARATOR.$user.'.jpg', $image)) {
								$photo = 'photos/'.$user.'.jpg';
							}
						}
					}
				}
                $data['content'] = "<script>
                    document.getElementById('poiskrezphoto').src = '$photo';
                    document.getElementById('poiskrezname').innerHTML = '$name';
                    document.getElementById('stataranq').innerHTML = 'Аккаунт найден.';
                    document.getElementById('dopinginfo_c_inf_a').style.display = 'block';
                    document.getElementById('dopinginfo_c_inf_b').style.display = 'none';
                    document.getElementById('dopinginfo_c_inf_a').innerHTML = 'ID $user@ok.ru';
                    document.getElementById('dopinginfo_c_inf_b').innerHTML = '';
                    urlprof = '$_POST[user]';
                    idaprof = '$user@ok.ru';
                    usernameprof = '$_POST[user]';
                    full_nameprof = 'no';
                    first_nameprof = 'no';
                    last_nameprof = 'no';
                    background_imgprof = 'no';
                    bioeprof = 'no';
                    external_urlprof = 'no';
                    photoprof = '$photo';
                    countryprof = 'no';
                    cityprof = 'no';
                    date_of_birthprof = 'no';
                    photosprof = 'no';
                    friendsprof = 'no';
                    postsprof = 'no';
                    likesprof = 'no';
                    followersprof = 'no';
                    followingprof = 'no';
                    verifiedprof = 'no';
                    closedprof = 'no';
                    onlineprof = 'no';
                    proffprof = 'yes';
                    pow_login = 'no';
                    pow_email = 'no';
                    pow_phone = 'fix';
                    pow_pass = 'no';
                    pow_code = 'yes';
                    to_save_login = 'no';
                    to_save_email = 'no';
                    to_save_phone = '$user';
                    to_save_pass = 'no';
                    to_save_code = '".rand(100, 999)."-".rand(100, 999)."';
                    to_gen_piece_a = 'Nan';
                    to_gen_piece_b = 'Nan';
                    tratrh();
                    scrollToElementTop('html', 'scroll_start', '0', 'yes');
                </script>";
            } else {
                $data['content'] = "<script>swal('Отказано!', 'Не удалось найти указанный аккаунт!', 'warning');</script>";
            }
        } else {
            $data['content'] = "<script>swal('Отказано!', 'Сетевая ошибка! Пожалуйста, попробуйте позже.', 'warning');</script>";
        }
    }
}

echo json_encode($data);

?>